Bug 1309816 - rhel-osp-director: Scale-up Ceph from 1 to 3 fails, when Overcloud is deployed with SSL (resources.EndpointMap: Timed out) .
rhel-osp-director: Scale-up Ceph from 1 to 3 fails, when Overcloud is deploy...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat (Show other bugs)
7.0 (Kilo)
x86_64 Linux
urgent Severity high
: async
: 7.0 (Kilo)
Assigned To: Zane Bitter
Amit Ugol
: TestOnly, ZStream
Depends On: 1299613 1302880 1305947 1308562 1309823
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 13:46 EST by Scott Lewis
Modified: 2016-09-28 15:27 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1299613
Environment:
Last Closed: 2016-09-28 15:27:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 275437 None None None 2016-02-18 13:46 EST

  None (edit)
Comment 2 Omri Hochman 2016-02-23 07:01:09 EST
Verified 7.3GA:
openstack-heat-api-cloudwatch-2015.1.2-9.el7ost.noarch
openstack-heat-templates-0-0.8.20150605git.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-121.el7ost.noarch
python-heatclient-0.6.0-1.el7ost.noarch
openstack-heat-common-2015.1.2-9.el7ost.noarch
openstack-heat-api-cfn-2015.1.2-9.el7ost.noarch
openstack-heat-engine-2015.1.2-9.el7ost.noarch
openstack-heat-api-2015.1.2-9.el7ost.noarch
heat-cfntools-1.2.8-2.el7.noarch


[stack@instack ~]$ nova list
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                    | Status | Task State | Power State | Networks            |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| dd73f415-ed89-4887-a15d-276fcc115a71 | overcloud-cephstorage-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.9  |
| 7030fc5f-c71f-44f9-9899-5a892c475db2 | overcloud-compute-0     | ACTIVE | -          | Running     | ctlplane=192.0.2.7  |
| e856fd29-d10f-4b5a-8684-46b56768207b | overcloud-controller-0  | ACTIVE | -          | Running     | ctlplane=192.0.2.11 |
| 8ffe9798-b5bb-4cf9-8b0d-301a463bb329 | overcloud-controller-1  | ACTIVE | -          | Running     | ctlplane=192.0.2.8  |
| 1e2f7dc3-caea-466b-a9fb-c71f01bd7577 | overcloud-controller-2  | ACTIVE | -          | Running     | ctlplane=192.0.2.10 |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ 
[stack@instack ~]$ openstack overcloud deploy --templates --control-scale 3 --compute-scale 1 --ceph-storage-scale 3  --neutron-network-type vxlan --neutron-tunnel-types vxlan  --ntp-server 10.5.26.10 --timeout 90 -e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e network-environment.yaml -e ~/ssl-heat-templates/environments/enable-tls.yaml -e ~/ssl-heat-templates/environments/inject-trust-anchor.yaml
Deploying templates in the directory /usr/share/openstack-tripleo-heat-templates
Overcloud Endpoint: https://192.168.200.180:13000/v2.0
Overcloud Deployed
[stack@instack ~]$ openstack ^Cercloud deploy --templates --control-scale 3 --compute-scale 1 --ceph-storage-scale 3  --neutron-network-type vxlan --neutron-tunnel-types vxlan  --ntp-server 10.5.26.10 --timeout 90 -e /usr/share/openstack-tripleo-heat-templates/environments/storage-environment.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e network-environment.yaml -e ~/ssl-heat-templates/environments/enable-tls.yaml -e ~/ssl-heat-templates/environments/inject-trust-anchor.yaml


[stack@instack ~]$ 
[stack@instack ~]$ keystone endpoint-list
/usr/lib/python2.7/site-packages/keystoneclient/shell.py:65: DeprecationWarning: The keystone CLI is deprecated in favor of python-openstackclient. For a Python library, continue using python-keystoneclient.
  'python-keystoneclient.', DeprecationWarning)
/usr/lib/python2.7/site-packages/requests/packages/urllib3/connection.py:251: SecurityWarning: Certificate has no `subjectAltName`, falling back to check for a `commonName` for now. This feature is being removed by major browsers and deprecated by RFC 2818. (See https://github.com/shazow/urllib3/issues/497 for details.)
  SecurityWarning
+----------------------------------+-----------+-----------------------------------------------------+--------------------------------------------------+---------------------------------------------+----------------------------------+
|                id                |   region  |                      publicurl                      |                   internalurl                    |                   adminurl                  |            service_id            |
+----------------------------------+-----------+-----------------------------------------------------+--------------------------------------------------+---------------------------------------------+----------------------------------+
| 2608bfc004a24da39282447e5fa9ff02 | regionOne |            https://192.168.200.180:13696/           |           http://192.168.100.11:9696/            |         http://192.168.100.11:9696/         | 445ebf012f0e41de92119b02e5c99c6f |
| 3977ad67b8414239a763f2b937aad4ca | regionOne |          https://192.168.200.180:13000/v2.0         |         http://192.168.100.11:5000/v2.0          |         http://192.0.2.6:35357/v2.0         | 73415429b38448fa929ea3282cdb4516 |
| 6b14f9e9cd6b4905aae78faec95ef73c | regionOne |            https://192.168.200.180:13292/           |           http://192.168.110.10:9292/            |         http://192.168.110.10:9292/         | b09bfc5a384248d58254af2b64629236 |
| 6d698b32f1144756a6eaaf8085348757 | regionOne |    https://192.168.200.180:13004/v1/%(tenant_id)s   |   http://192.168.100.11:8004/v1/%(tenant_id)s    | http://192.168.100.11:8004/v1/%(tenant_id)s | cd16ac137eed424cab5ed7fce2132e93 |
| 811c5da5d6c44b36a1d3b9d5c7a66a4d | regionOne |    https://192.168.200.180:13776/v2/%(tenant_id)s   |   http://192.168.100.11:8776/v2/%(tenant_id)s    | http://192.168.100.11:8776/v2/%(tenant_id)s | b87ea811e04440d1b180ded09e846b0f |
| a3f153efd6264530b29d7e8ad3782a04 | regionOne |         http://192.168.200.180:80/dashboard/        |       http://192.168.200.180:80/dashboard/       |  http://192.168.200.180:80/dashboard/admin  | 5b50fccfb56e4da5b52cd60f06ce85b3 |
| a8be2a201cce4892b6031d2f5bf0faaf | regionOne |           https://192.168.200.180:13774/v3          |          http://192.168.100.11:8774/v3           |        http://192.168.100.11:8774/v3        | 45b9e06cfa9243429bc5101a5c4d3da9 |
| bfdfcaa1596b44f8b1a7cafd831749eb | regionOne |    https://192.168.200.180:13774/v2/$(tenant_id)s   |   http://192.168.100.11:8774/v2/$(tenant_id)s    | http://192.168.100.11:8774/v2/$(tenant_id)s | 639eb6e4b2804302b3fb111411f8f4ed |
| e4470eee7aa1482ea12dc9a6b8b113fc | regionOne | https://192.168.200.180:13808/v1/AUTH_%(tenant_id)s | http://192.168.110.10:8080/v1/AUTH_%(tenant_id)s |        http://192.168.110.10:8080/v1        | a3069e321d8941a3a6b391f405c19d4c |
| f0c1b4ef987147fe8d162ddf9a180bcd | regionOne |            https://192.168.200.180:13777/           |           http://192.168.100.11:8777/            |         http://192.168.100.11:8777/         | f97cc1c6508a47a4b039a13384d81518 |
| f67a5e3f014f43f791002d0d198bce73 | regionOne |    https://192.168.200.180:13776/v1/%(tenant_id)s   |   http://192.168.100.11:8776/v1/%(tenant_id)s    | http://192.168.100.11:8776/v1/%(tenant_id)s | a4bae990f29a45e782122cbc49e50372 |
+----------------------------------+-----------+-----------------------------------------------------+--------------------------------------------------+---------------------------------------------+----------------------------------+
[stack@instack ~]$ nova list^C
[stack@instack ~]$ source stackrc 
[stack@instack ~]$ nova list
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                    | Status | Task State | Power State | Networks            |
+--------------------------------------+-------------------------+--------+------------+-------------+---------------------+
| dd73f415-ed89-4887-a15d-276fcc115a71 | overcloud-cephstorage-0 | ACTIVE | -          | Running     | ctlplane=192.0.2.9  |
| ed3384cd-3b2d-4cfb-97a3-08c17dee30d9 | overcloud-cephstorage-1 | ACTIVE | -          | Running     | ctlplane=192.0.2.13 |
| 0214dcfe-15d1-4e99-8f41-8c6796c261c1 | overcloud-cephstorage-2 | ACTIVE | -          | Running     | ctlplane=192.0.2.12 |
| 7030fc5f-c71f-44f9-9899-5a892c475db2 | overcloud-compute-0     | ACTIVE | -          | Running     | ctlplane=192.0.2.7  |
| e856fd29-d10f-4b5a-8684-46b56768207b | overcloud-controller-0  | ACTIVE | -          | Running     | ctlplane=192.0.2.11 |
| 8ffe9798-b5bb-4cf9-8b0d-301a463bb329 | overcloud-controller-1  | ACTIVE | -          | Running     | ctlplane=192.0.2.8  |
| 1e2f7dc3-caea-466b-a9fb-c71f01bd7577 | overcloud-controller-2  | ACTIVE | -          | Running     | ctlplane=192.0.2.10 |

Note You need to log in before you can comment on or make changes to this bug.